/*REXX*/
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

pwd = directory()
'@cd ..'
cwd = directory()

/* Create Sample Light Table Folder */
mmbase = value('MMBASE',,'OS2ENVIRONMENT')
cpath = value('PATH',,'OS2ENVIRONMENT')
parse var mmbase mbase ';' extra
movie=mbase||'\movies'
sound=mbase||'\sounds'
path=movie||';'||sound||';'cpath
npath = value('PATH',path,'OS2ENVIRONMENT')
movie1=SysSearchPath('PATH', 'macaw.avi')
sound1=SysSearchPath('PATH', 'ballgame.mid')
sound2=SysSearchPath('PATH', 'cuckoo.wav')
npath = value('PATH',cpath,'OS2ENVIRONMENT')

/* First cleanup any old sample folder laying around */
'@install\delobj "<LT_SAMPLE>"'

/* Install the MMPM procs from Mountain View */
'@install\mmioini e '||cwd||'\dll'

utsxfile = cwd||'\install\utltsxps.lst'
utflfile = cwd||'\install\utltfldr.lst'
myfile   = cwd||'\install\utltcomm.lst'
rc = SysFileDelete(utsxfile);
rc = SysFileDelete(utflfile);
rc = SysFileDelete(myfile);

/* Register the LTFolder Class */
'@cd dll'
'@..\install\listdlls  utltsxps.dll '||cwd||'\install\utltsxps.lst'
lineis = cwd||'\dll\utltsxps.dll'
rc = Lineout(utsxfile, lineis)
rc = Lineout(utsxfile)
'@..\install\listdlls  utltfldr.dll '||cwd||'\install\utltfldr.lst'
lineis = cwd||'\dll\utltfldr.dll'
rc = Lineout(utflfile, lineis)
rc = Lineout(utflfile)
Do Forever;
   if 0 = Lines(utsxfile) Then Leave;
   lineis = Linein(utsxfile);
   rc = Lineout(myfile, lineis);
End;
rc = Stream(utsxfile,C,"CLOSE")
rc = Lineout(myfile)
Do Forever;
   if 0 = Lines(utflfile) Then Leave;
   lineis = Linein(utflfile);
   rc = Lineout(myfile, lineis);
End;
rc = Stream(utflfile,C,"CLOSE")
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltfldr.dll LTFolder'

/* SetUp Sample Light Table Folder */
'@cd dll'
if SysCreateObject("LTFolder", "Sample", "<WP_DESKTOP>", "OBJECTID=<LT_SAMPLE>")
then
  loc = '<LT_SAMPLE>'
else
  if SysCreateObject("LTFolder", "Sample", "<WP_DESKTOP>", "OBJECTID=<LT_SAMPLE1>")
    then
      loc = '<LT_SAMPLE1>'
    else
      if SysCreateObject("LTFolder", "Sample", "<WP_DESKTOP>", "OBJECTID=<LT_SAMPLE2>")
        then
          loc = '<LT_SAMPLE2>'
        else
          if SysCreateObject("LTFolder", "Sample", "<WP_DESKTOP>", "OBJECTID=<LT_SAMPLE3>")
            then
              loc = '<LT_SAMPLE3>'
            else
              loc = '<LT_SAMPLE4>'
'@cd '||cwd

/* Register the LTDataFile Class */
lineis = cwd||'\dll\utltdata.dll'
rc = Lineout(myfile, lineis)
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltdata.dll LTDataFile WPDataFile LTDataFile'

/* Register the LTReference Class */
lineis = cwd||'\dll\utltref.dll'
rc = Lineout(myfile, lineis)
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltref.dll LTReference'

/* SetUp Sample Light Table Folder  Objects*/
'@cd dll'
rc = SysCreateObject("LTReference", "CowBoy._im", loc, "TYPE=LT Image;REFID="||cwd||"\data\image.two")
rc = SysCreateObject("LTReference", "ReadMe.doc", loc, "TYPE=LT Text;REFID="||cwd||"\readme.doc")
rc = SysCreateObject("LTReference", "Family.tif", loc, "TYPE=LT Image;REFID="||cwd||"\data\image.six")
rc = SysCreateObject("LTReference", "Macaw.avi", loc, "TYPE=LT Video;REFID="||movie1)
rc = SysCreateObject("LTReference", "BallGame.mid", loc, "TYPE=LT Audio;REFID="||sound1)
rc = SysCreateObject("LTReference", "Cuckoo.wav", loc, "TYPE=LT Audio;REFID="||sound2)
'@cd '||cwd

/* Create Query and Query Result Templates */
rc = SysCreateObject("LTDataFile", "LT Query", "<WP_TEMPS>", "TYPE=LT Query;TEMPLATE=YES;ICONFILE="||pwd||"\LTQICO.ICO")
rc = SysCreateObject("LTDataFile", "LT Query Result", "<WP_TEMPS>", "TYPE=LT Query Result;TEMPLATE=YES;ICONFILE="||pwd||"\QUERY_RE.ICO")

/* Register the LTQuerySeq Class */
lineis = cwd||'\dll\utltqs.dll'
rc = Lineout(myfile, lineis)
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltqs.dll LTQuerySeq'

/* Register the SafeFolder Class */
lineis = cwd||'\dll\utltsafe.dll'
rc = Lineout(myfile, lineis)
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltsafe.dll SafeFolder'

/* Register the Clipdata Class */
lineis = cwd||'\dll\utltclip.dll'
rc = Lineout(myfile, lineis)
rc = Lineout(myfile)
'@cd '||cwd
'@install\loaddlls '||cwd||'\install\utltcomm.lst '||cwd||'\dll '||cwd||'\dll\utltclip.dll Clipdata'

/* Create Clipdata and SafeFolder objects on the Desktop */
rc = SysCreateObject( "Clipdata", "Clipdata.BMP", "<WP_DESKTOP>", " ")
rc = SysCreateObject( "SafeFolder", "Safe", "<WP_DESKTOP>", "TEMPLATE=NO, NODELETE=YES, NOCOPY=YES, NOMOVE=YES")

'@cd '||pwd
